Forgot your username?             Forgot your password?

Akeeba Subscriptions

Akeeba Subscriptions is our GPL-licensed subscriptions management component. It allows you to sell and manage subscriptions to your site, the easy way. The software is provided free of charge to everyone.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Download translation files directly from our CDN page

Stable 4.0.0

Maturity:
Stable
Released on:
Sunday, 09 March 2014 14:00
Viewed:
2582 times

This is a major new release. As announced in November, this version has removed most of the payment processor and integration plugins. These plugins were already falling behind in development and mainenance, so no real loss there. Some minor bug fixes are also included. This version if offered without support. If you choose to install it you will not be able to receive support from us.

No support

As we have already announced, this version is provided without any support, free or paid. If you find a bug you are welcome to propose a patch in our GitHub repository. Please do not file issues without a proposed patch or request support through the GitHub repository; it is highly unlikely that you will receive a reply. Akeeba Subscriptions is now a developer's product, not an end user product: there is no support.

Also note that if you are one of the subscribers to the Deluxe, Commerce or AkeebaSubs susbcription plans who signed up before November 3rd you are, too, ineligible for support if you choose to install this version of Akeeba Subscriptions.

PHP 5.3, 5.4 or 5.5 is required

This version requires PHP 5.3, 5.4 or 5.5. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Changelog

Bug fixes

  • [LOW] Fixed duplicated control div for business field (Joomla! 3.x)
  • [LOW] Frontend.css was included twice

New features

  • Added dual support for Boostrap 2 and Boostrap 3 HTML output. You can use the component on Bootstrap 3 templates without overrides.
  • Allow per payment method surcharge as a percentage of the subscription level's base price
  • gh-22 Added sh404SEF plugin to create SEF url with that component

Miscellaneous changes

  • Now using the built-in Joomla! extensions updater instead of Live Update to deliver updates
  • Show a warning in the subscription page when the Do Not Track (DNT) feature is enabled in the user's browser (it kills cookies, therefore kills Joomla! session handling)

Removed features

  • Removed no longer maintained payment and integration plugins

Take me to the downloads for this version

Stable 3.3.4

Maturity:
Stable
Released on:
Friday, 27 December 2013 09:58
Viewed:
4423 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

This is a bugfix release, solving known issues. This version is compatible with Joomla! 2.5, 3.1 and 3.2. Please note that Joomla! 3.1 support is discontinued. We urge our users who are still using Joomla! 3.1 to upgrade to Joomla! 3.2 as soon as possible. Joomla! 3.2 is a security release.

This is the final Akeeba Subscriptions 3.x release cycle. Future releases in the 4.x and later versions will not be made available through the official downloads page and will not be supported. The code will be available free of charge in Git and frequent installable package builds will be found in the developer releases page of our site's download section. For more information please read the article The Future of Akeeba Subscriptions. Thank you.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

General information

If you have a problem after or before installing the component please read our troubleshooting page for the post-February 2013 releases of our components. Do note that these issues are only likely to affect users with old versions of PHP, Joomla! and/or very old versions of our components.

This is the final Akeeba Subscriptions 3.x release cycle. Future releases in the 4.x and later versions will not be made available through the official downloads page and will not be supported. The code will be available free of charge in Git and frequent installable package builds will be found in the developer releases page of our site's download section. For more information please read the article The Future of Akeeba Subscriptions. Thank you.

PHP 5.3 is required

This version requires PHP 5.3 or later. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Changelog

Bug fixes

  • [LOW] A Download ID was requested in the Professional version even though it's no longer commercial
  • [LOW] Extremely rare case where an empty user information key could cause a fatal error when subscribing
  • [LOW] The notification after expiration was broken
  • [LOW] The user cannot be linked to from the invoices list; link removed
  • [MEDIUM] The login form in the subscription page did not support two factor authentication in Joomla! 3.2

Miscellaneous changes

  • Change the "Subscribe now!" button color depending on the form validation status
  • Do not send out emails when the subject line is left blank
  • ui-disable-spinner is now a class, allowing template overrides to place multiple spinners in the subscription page

Take me to the downloads for this version

Stable 3.2.2

Maturity:
Stable
Released on:
Tuesday, 10 September 2013 14:55
Viewed:
4483 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

IMPORTANT! This version requires PHP 5.3 or later and Joomla! 2.5.6+ or 3.1. Please note that Joomla! 3.0 is no longer supported. We have stopped testing against it since April 2013, when Joomla! 3.1 was released. We strongly recommend Joomla! 3.0 users to upgrade to 3.1.

This is a feature release, adding new features. Please read the changelog; we have added tons of new features in this release! If you have trouble upgrading from am older version of our component, please consult our troubleshooting instructions for post-February 2013 releases page.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

General information

If you have a problem after or before installing the component please read our troubleshooting page for the post-February 2013 releases of our components. Do note that these issues are only likely to affect users with old versions of PHP, Joomla! and/or very old versions of our components.

PHP 5.3 is now required

This version requires PHP 5.3 or later. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Release highlights

On popular demand: when your clients visit the subscription page for the first time they won't see all fields marked in red. The validation results will only show up if the form is submitted with errors.

You can now configure whether the payment option selection will be hidden if you only have one one payment method available on a subscription level. In Akeeba Subscriptions 3.1 it was always hidden whereas in earlier versions it was always shown. Neither method appealed to everyone, so now you have the choice!

On popular demand we implemented an integration with the Authorize.net payment processor.

...plus nearly two dozens of improvements and bug fixes!

Changelog

Bug fixes

  • [LOW] CLI CRON scripts not fully compatible with PHP CGI
  • [LOW] Community Builder synchronisation would result in extra fields' data stored as raw JSON in the Community Builder field
  • [LOW] Coupon code field not shown for free subscriptions when require valid coupon code is on
  • [LOW] Custom fields should only allow specific characters in their slugs
  • [LOW] Do not set password setting in com_users was not respected when free account activation was enabled
  • [LOW] Double processing of the "Thank you" and order cancellation page's text
  • [LOW] Notices thrown by 2Checkout integration plugin
  • [LOW] ReCAPTCHA plugin doesn't recognise SSL correctly
  • [LOW] Reloading graphs from a past date would show all data from that date until today, not just 30 days after that date as it is supposed to
  • [LOW] RoboKassa: sending the "currency" (actually: payment method) limits the payment options of the end user
  • [LOW] SCnet integration would not pick up successful transactions with rare response codes
  • [LOW] Some third party plugins add an empty Itemid to the request data, screwing up the payment notification validation with some payment processors (e.g. PayPal)
  • [LOW] Sometimes the "Thank you" page's message would be empty, depending on your menu structure
  • [LOW] The name and email should not display validation information the first time you load the subscription page
  • [LOW] Users added to MijoShop were not automatically approved
  • [LOW] Users with blocked access (payment not complete, free users needing to be verified by admins) were logged in automatically
  • [MEDIUM] #175 The re-login feature of the post-purchase message page didn't work reliably
  • [MEDIUM] Activation of free subscriptions not working on latest Joomla! versions due to changes in user account activation handling
  • [MEDIUM] Apparently PayPal Pro sometimes sends txn_type=pro_api in their IPNs, making PayPal Pro payments fail
  • [MEDIUM] Fatal error after subscription when you have multiple invoicing plugins enabled at the same time that both use the TCPDF library (e.g. ccInvoices and integrated invoicing)
  • [MEDIUM] Freshbooks integration would not install correctly
  • [MEDIUM] No server-side check for empty password was present
  • [MEDIUM] Percentage-based flexible discounts in subscription level relations don't work
  • [MEDIUM] Projectfork4 integration would not install correctly
  • [MEDIUM] Test email button in e-mail template editor page not shown under Joomla! 3
  • [MEDIUM] The "Thank You" page's message would be empty due to a bug in several payment plugins
  • [MEDIUM] Users seeing other user's info / list of subscriptions when caching is being used (thank you Peter @ NoNumber.nl)
  • [MEDIUM] Using 100% coupon codes caused the subscription relations to be ignored
  • [MEDIUM] Using Progressive Caching could result in wrong information being displayed

New features

  • #127 WePay integration
  • #163 Payment: ChasePaymentTech
  • #169 Surcharge per payment method
  • #171 Coupons API, allows your trusted associates to create coupon codes for your site
  • #176 PaySafe Card payment method
  • #177 Sort "My Subscriptions" page by active / waiting / expired status
  • #179 Import users from CSV
  • #181 CRON URL for subscription expiration and expiration notification
  • 2Checkout plugin with recurring payments support
  • Configuration wizard for new users

Miscellaneous changes

  • Added a "TEST" image for the None payment plugin to make it more obvious
  • Added a check image for the Off-Line payment plugin to make it more obvious
  • Changed the layout of the subscription level editor page to be newbie-friendly
  • On popular demand: easier configuration for the Intellectual Property integration
  • Reworked PayMill integration: more stable and with double charging prevention built in
  • Rewritten AcyMailing integration using the official AcyMailing API for improved stability
  • When free account activation is enabled send out a SEF activation URL (like Joomla! 3 does by default), working around severely broken mail clients (Microsoft Office Outlook)

Take me to the downloads for this version

Stable 3.1.2

Maturity:
Stable
Released on:
Saturday, 11 May 2013 07:42
Viewed:
3752 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

IMPORTANT! This version requires PHP 5.3 or later and Joomla! 2.5.6 or later. It won't install on PHP 5.2 or earlier, or Joomla! 2.5.0 up to and including 2.5.5. This version is compatible with Joomla! 2.5.6+, 3.0 and 3.1. Please read the release notes.

This is a bugfix and maintenance release, addressing known issues in the previous versions and adding new features. Please read the changelog; we have added tons of new features in this release! If you have trouble upgrading from a pre-3.0 version of our component, please consult our troubleshooting instructions for post-February 2013 releases page.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

General information

If you have a problem after or before installing the component please read our troubleshooting page for the post-February 2013 releases of our components. Do note that these issues are only likely to affect users with old versions of PHP, Joomla! and/or very old versions of our components.

PHP 5.3 is now required

This version requires PHP 5.3 or later. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Release highlights

PayPal recurring subscriptions now support sign-up fees. Please note that currently PayPal is the only payment processor supporting this feature. It will be silently ignored with other payment processors. You can also have one-time signup fees per subscription level for non-recurring subscriptions. This is compatible with all payment processors.

You can now hide several of the default fields in the subscription page using component options, without having to deal with CSS in your template. Moreover, the payment option is hidden if there is only one payment option available in the subscription page.

You can now use the email address of the user as their username, eliminating the username field. In some lines of business dealing with non-technical people this is a must-have feature.

You can optionally have a different tax level per subscription level. This is useful in some cases where the VAT has to be different between products, e.g. on a site offering a print magazine subscription along with an on-line version subscription (the print magazines have a lower VAT rate in Europe).

...plus nearly a dozen of improvements and bug fixes!

Changelog

New features

  • #155 The payment option selection is hidden if you only have one one payment method available on your site
  • #155 You can now hide the coupon field in the subscription page
  • #155 You can now hide the discount field in the subscription page
  • #155 You can now hide the regular price field in the subscription page
  • #155 You can now hide the tax field in the subscription page
  • #155 You can now select which countries to show or hide in the subscription page
  • #156 Option to use email address as username
  • #158 One time sign-up fees per subscription level
  • #162 Per subscription level tax rules, allows you to have subscription levels with different tax rates each (mainly useful for magazine subscriptions)
  • Adding a [COUPONCODE] variable to display the used coupon's code in messages and emails
  • Allow developers to return multiple options per payment plugin, useful with slightly different flavours of the same payment method (e.g. one payment processor allowing payment by CC, bank transfer or ATM deposit)
  • On popular demand: PayPal recurring subscriptions now support sign-up fees. WARNING: DO NOT USE ANY OTHER PRICE MODIFYING FEATURES WITH THIS!

Bug fixes

  • [HIGH] Broken invoice generated when using template number override in an invoice template which doesn't use global numbering
  • [HIGH] Global invoice numbering broken if used together with another invoice template which doesn't use global numbering
  • [HIGH] Joomla! 3.1.0 broke several aspects of the component
  • [LOW] Notices in the Slave Subscriptions plugin
  • [LOW] The Joomla! Profile Synchronisation plugin would not sync the postal code and region
  • [LOW] The Run the Integrations button had no icon in Joomla! 3.x
  • [MEDIUM] Expiration notification e-mails sent with the text-only template in the Professional release
  • [MEDIUM] Fatal PHP error when using numbering override in invoice templates
  • [MEDIUM] Newly subscribed users would not be automatically logged in
  • [MEDIUM] The MijoShop integration plugin would still not work with the latest version of MijoShop (thank you, Denis!)

Take me to the downloads for this version

Stable 3.0.2

Maturity:
Stable
Released on:
Thursday, 14 March 2013 08:16
Viewed:
3175 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

IMPORTANT! This version requires PHP 5.3 or later and Joomla! 2.5.6 or later. It won't install on PHP 5.2 or earlier, or Joomla! 2.5.0 up to and including 2.5.5. This version is compatible with Joomla! 2.5.6+ as well as Joomla! 3.0. Please read the release notes.

This is a bugfix release, addressing known issues in the previous versions. We recommend that all of our users upgrade. If you have trouble upgrading, please consult our troubleshooting instructions for February 2013 releases page.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

General information

If you have a problem after or before installing the component please read our troubleshooting page for the February 2013 releases of our components. Do note that these issues are only likely to affect users with old versions of PHP, Joomla! and/or very old versions of our components.

PHP 5.3 is now required

This version requires PHP 5.3 or later. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Changelog

New features

  • Warn Professional users when their Download ID is missing

Removed features

  • Removing Phoca Downloads integration (no longer supported by its developer)

Miscellaneous changes

  • Allow subscription level relations to be used even when a coupon code with a greater discount is used
  • Allow subscription level relations to be used even when the discount is zero / they are not used to calculate a discount

Bug fixes

  • [HIGH] Bad SQL query killing Core release on Joomla! 3.0
  • [HIGH] Blank PDF if tidy_repair_string returns false
  • [HIGH] Internal server error on ancient versions of PHP 5.3 with broken late static binding implementations
  • [HIGH] Some TCPDF folders are not getting installed, causing inability to generate invoice PDF files
  • [HIGH] The content publish plugin wouldn't work
  • [HIGH] VIES validation not working on PHP installations lacking a user agent string in php.ini (thanks Jasper)
  • [LOW] Forgotten echo statement in the cbsync plugin (thank you, Reese)
  • [LOW] Misplaced translation string in the Options page
  • [LOW] Notice thrown by the Joomla! User Profile Sync plugin
  • [LOW] Notice thrown by the autocity plugin
  • [LOW] You could see the subscription page of unpublished levels, resulting in a misleading error message when you tried submitting the subscription form
  • [MEDIUM] Joomla! User Profile Sync plugin would cause the state to be "forgotten" when a client is resubscribing
  • [MEDIUM] Non-replaced tags in expiration notification emails when using the default language file
  • [MEDIUM] Untranslated strings in emails using the CLI expiration notification script

Take me to the downloads for this version

Stable 2.5.1

Maturity:
Stable
Released on:
Friday, 28 December 2012 04:25
Viewed:
6077 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

This is a stability and bug-fix release for the 2.5.x branch of Akeeba Subscriptions. All of our users are kindly requested to upgrade. Please read the Release Notes for further information on the changes in this release.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Highlights

The major new feature is the introduction of the content publishing plugin. This allows you to automatically publish Joomla! articles, K2 items and ZOO items when someone subscribes to a particular subscription level and (optionally) unpublish them when their subscription expires. This came after popular request and should allow you to create sites which offer for-a-fee, time based content publishing, e.g. company directories.

This release introduces support for low-cost payment processors PayMill (Europe) and Stripe (US). We plan to include many more in the near future, allowing small companies to offer subscription payments with a minimal cost to them.

We have removed the AEC converter from this release. AEC's database schema is largely incompatible with the philosophy of Akeeba Subscriptions and changes too much between releases. Trying to create a useful converter was extremely hard and unlikely to succeed.

Changelog

New features

  • Allow you to define maximum number of hits per coupon when mass-generating coupons (useful for "free pass" one time use coupon codes)
  • CLI subscription expiration notification script
  • Content publishing plugin, allows you to publish/unpublish the user's core Joomla! articles, K2 items and ZOO items when his subscription is activated / expires.
  • PayMill payment gateway integration
  • Stripe payment gateway integration

Removed features

  • Removed AEC converter. If someone makes sense out of the chaotic table layout of AEC, please tell me so that I can fix the converter.

Bug fixes

  • [LOW] Warning message about missing language files in installation
  • [LOW] ccInvoices integration: compatibility with ccInvoices 1.6
  • [MEDIUM] Recurring PayPal transactions would result in no renewal when PayPal sent a payment_status=Pending IPN before the final IPN with payment_status=Completed
  • [MEDIUM] ccInvoices integration: no invoice issued for subscribers renewing their subscription

Take me to the downloads for this version

Stable 2.3.1

Maturity:
Stable
Released on:
Thursday, 02 August 2012 01:55
Viewed:
3088 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

This is a bugfix release. All users are kindly requested to update.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Changelog

# [MEDIUM] Joomla! forgets to run a necessary SQL file when upgrading from Akeeba Subscriptions 2.2.1 or earlier
# [MEDIUM] You could no longer log in users through the subscription page
# [HIGH] The PhocaDownloads integration plugin was broken

Take me to the downloads for this version

Stable 2.2.1

Maturity:
Stable
Released on:
Sunday, 27 May 2012 19:00
Viewed:
5533 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Akeeba Subscriptions 2.2.1 resolves some known issues in version 2.2.0 and adds a few new features. This release is compatible only with Joomla! 1.5 and 2.5.

IMPORTANT NOTE TO ALL JOOMLA! USERS: Joomla! 1.5, deprecated since January 2012, will become end-of-life by the end of August 2012. As a result, we've become creating Joomla! 2.5-only versions of our software. The next release of Akeeba Subscriptions will be compatible only with Joomla! 2.5 and will no longer ship with integration plugins relevant to Joomla! 1.5-only software, such as the JUGA plugin. Users of Akeeba Subscriptions on Joomla! 1.5.x will still be supported till August. From that point onwards we will completely drop Joomla! 1.5 support. You are urged to upgrade your Joomla! 1.5 sites to Joomla! 2.5.


IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Changelog

New features

  • #93 NoChex payment plugin (experimental)
  • Adding a per-level class name in front-end subscription level display to allow custom per-level styling
  • New view which allows users to edit their own information
  • ccInvoices integration: Allow appending a notice to intra-EU transactions where the VAT liability is transferred to the recipient, according to EU legislation

Please note that payment plugins marked as experimental have not been tested on live sites. If you spot a bug, please report it using our Contact Us page. Thank you!

Miscellaneous Changes

  • The Offline Payment plugin now sets the payment status to Pending instead of New
  • The ReCaptcha plugin now supports selecting a theme other than the default (red) one

Bug fixes

  • Double email sent by the Administrator Email plugin
  • Users would not get removed from K2 groups on subscription expiration
  • Subscriptions with recurring payments would not be activated by the PayPal plugin due to a typo
  • Typo in the installation file, didn't allow upgrading to 2.2.0
  • Typo in the uninstallation file, caused a blank page on uninstallation of the component

Take me to the downloads for this version

Stable 2.1.1

Maturity:
Stable
Released on:
Wednesday, 21 March 2012 08:39
Viewed:
3515 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

We are pleased to announce the immediate availability of Akeeba Subscriptions 2.1.1 Stable, a bugfix release in our 2.x series.

Akeeba Release System 2.1.1 fixes minor and medium priority bugs found in version 2.1.0. Compatible with Joomla! 1.5 and 2.5, it allows you to easily sell subscriptions on your site.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Changelog

New features

  • Image support in payment method selection
  • Customisable invoice description for the ccInvoices integration

Bug fixes

  • You can not subscribe when not using SEF URLs. Oops.
  • Clicking on the Terms of Service link in the Agree to TOS plugin causes the main window to go blank, displaying [object Object] on non-WebKit browsers
  • The Users page should not have Publish/Unpublish buttons
  • The None payment plugin would redirect to the a page throwing a 404 error when using Joomla! 1.7/2.5's multilingual feature and SEF URLs.
  • The default values for custom fields were not remembered when making a new subscription
  • The "List subscription levels" module would show the Forbid Renewal levels even if the user is not supposed to access them again

Take me to the downloads for this version

Stable 2.0

Maturity:
Stable
Released on:
Friday, 20 January 2012 18:00
Viewed:
1851 times

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Akeeba Subscriptions 2.0 is the first stable release of our 2.x series. Compatible with Joomla! 1.5, 1.7 and 2.5, Akeeba Subscriptions will fit right into all of your web projects.

IMPORTANT! WE DO NOT PROVIDE ANY KIND OF SUPPORT FOR AKEEBA SUBSCRIPTIONS. USE AT YOUR OWN RISK.

Changelog

New features

  • #47 AcyMailing integration
  • Phoca Downloads plugin (thank you, Roland!)
  • The aslink plugin now adds the correct Itemid (thank you Daniel!)
  • Added {FIRSTNAME} and {LASTNAME} tags to the Offline Payment plugin
  • You can now see who made the affiliate payment
  • #48 RedShop user profile sync in the RedShop plugin

Bug fixes

  • Language strings containing quotes could cause the Subscribe Now button to fail
  • MOIP payment plugin: all transactions would be reported as failed
  • Fatal error: Class 'JParameter' not found in plugins/akeebasubs/subscriptionemails/subscriptionemails.php on line 109
  • Link to Subscription Level in Subscriptions view is broken (thank you David-Andrew)
  • The importer wasn't being included in the installation packages
  • "Run Integrations" would only process 100 users and never complete
  • created_by field not filled in when saving an affiliate payment (thanks Roland!)
  • Gravatars wouldn't load until you saved the component configuration
  • The off-line payment plugin's Instructions field wouldn't accept HTML in Joomla! 1.6 and later
  • ccAvenue payment: the address wasn't passed on (thank you Pavan)
  • Warnings thrown in the import page

Take me to the downloads for this version